## org.codehaus.groovy.grails.commons
Interface GrailsCodecClass

All Superinterfaces:
  GrailsClass, InjectableGrailsClass

All Known Implementing Classes:
  DefaultGrailsCodecClass

    public interface GrailsCodecClass

extends InjectableGrailsClass

An interface that provides access to Codec classes. A Codec class is a class that ends in the convention "Codec" and provides encode and decode methods or closure properties

Since:
  0.4
Author:
  Jeff Brown

Method Summary
`groovy.lang.Closure` `getDecodeMethod()`
`groovy.lang.Closure` `getEncodeMethod()`

Methods inherited from interface org.codehaus.groovy.grails.commons.InjectableGrailsClass
`byName, byType, getAvailable`

Methods inherited from interface org.codehaus.groovy.grails.commons.GrailsClass
`getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyName, getPropertyValue, getPropertyValue, getReference, getShortName, hasProperty, newInstance`

Method Detail

### getEncodeMethod

    groovy.lang.Closure getEncodeMethod()

  Returns:
    The encode closure

### getDecodeMethod

    groovy.lang.Closure getDecodeMethod()

  Returns:
    The decode closure

Copyright (c) 2005-2009 The Grails project